Subject: [manet] Request table and ID FIFO cache of DSR

From: Young-Jun Lee <[email-masked]>
Date: Tue, 29 Jul 2003 17:52:43 -0400 (EDT)

Hello all,

I'm trying to implement DSR protocol in a simulation tool.
While reading the DSR draft (draft-ietf-manet-dsr-08.txt),
I found the request table structure a little bit confusing.

In Page 28 of the draft, it says route request table records information
about route request, i.e. <id, dst> using ID fifo cache.
Does this mean that this ID fifo cache is a field of request table entry?
Or, is the ID fifo cache a separate data structure?

I checked the DSR model in ns-2 and the DSR linux implementation by univ.
Colorado, but both do not have any data structure like ID fifo cache.
I'd appreciate it if anybody gives me some hints on this.
Thanks.

Young

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet